## org.eclipse.m2m.atl.engine.emfvm.lib
Class TransientLinkSet

    java.lang.Object
      org.eclipse.m2m.atl.engine.emfvm.lib.TransientLinkSet

    public class TransientLinkSet

extends java.lang.Object

Stores a `TransientLink` Set.

Constructor Summary
`TransientLinkSet()`

Method Summary
`void` `addLink(TransientLink tl)` Adds a link to the set.
`void` `addLink2(TransientLink tl, boolean isDefault)` Adds a link to the set.
`TransientLink` `getLinkByRuleAndSourceElement(java.lang.Object rule, java.lang.Object sourceElement)` Retrieve a link by the given rule and source element.
`TransientLink` `getLinkBySourceElement(java.lang.Object sourceElement)` Retrieve a link by the given source element.
`TransientLink` `getLinkByTargetElement(java.lang.Object sourceElement)` Retrieve a link by the given source element.
`java.util.List<TransientLink>` `getLinksByRule(java.lang.Object rule)` Returns the links of a rule.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientLinkSet

    public TransientLinkSet()

Method Detail

### addLink

    public void addLink(TransientLink tl)

  Adds a link to the set.

  Parameters:
    `tl` - the link

### addLink2

    public void addLink2(TransientLink tl,
                         boolean isDefault)

  Adds a link to the set.

  Parameters:
    `tl` - the link
    `isDefault` - true if the link is the default link

### getLinksByRule

    public java.util.List<TransientLink> getLinksByRule(java.lang.Object rule)

  Returns the links of a rule.

  Parameters:
    `rule` - the rule
  Returns:
    the links of a rule

### getLinkBySourceElement

    public TransientLink getLinkBySourceElement(java.lang.Object sourceElement)

  Retrieve a link by the given source element.

  Parameters:
    `sourceElement` - the source element
  Returns:
    the link

### getLinkByTargetElement

    public TransientLink getLinkByTargetElement(java.lang.Object sourceElement)

  Retrieve a link by the given source element.

  Parameters:
    `sourceElement` - the source element
  Returns:
    the link

### getLinkByRuleAndSourceElement

    public TransientLink getLinkByRuleAndSourceElement(java.lang.Object rule,
                                                       java.lang.Object sourceElement)

  Retrieve a link by the given rule and source element.

  Parameters:
    `rule` - the given rule
    `sourceElement` - the source element
  Returns:
    the link

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.